#include <bits/stdc++.h>

using namespace std;

int main()
{
    string t;
    cin >> t;

    int l = 0;
    int d = t.length() - 1;
    int l1 = -1;
    int d1;

    int br = 0;

    while(l1 == -1) {
        if(t[l] != t[d]) {
            l1 = l;
            d1 = d;
        }
        if(d < l) {
            br = 1;
            l1 = -2;
        }

        l++;
        d--;
    }

    if(l1 >= 0)
        for(int i = l1; i < d1; i++)
            br++;

    cout << br << endl;
    return 0;
}